sasl_getsimple_t(26 March 2000)

NAME
sasl_getsimple_t - The SASL callback for username/authname/realm

SYNOPSIS
#include <sasl.h>

int sasl_getsimple_t(void *context,
		          int id,
		          const cahr ** result,
		          unsigned * len);

DESCRIPTION
sasl_getsimple_t is used to retrieve simple things from the application. In practice this is authentication name, authorization name, and realm. The id parameter indicates which value is being requested. See sasl.h for a list of possible values.

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

CONFORMING TO
RFC 2222

SEE ALSO
othersaslstuff